Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class CalendarPreferences.WeekStartingDay

    java.lang.Object
      portlets.compoze.groupware.pref.CalendarPreferences.WeekStartingDay

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CalendarPreferences

public static class CalendarPreferences.WeekStartingDay
extends java.lang.Object
implements java.io.Serializable

This class represents the week starting day.

See Also:
  Serialized Form

Field Summary
`static CalendarPreferences.WeekStartingDay` | `CURRENT_DAY` This value represents the 'current day' week starting day.
`static CalendarPreferences.WeekStartingDay` | `FRIDAY` This value represents the 'friday' week starting day.
`static CalendarPreferences.WeekStartingDay` | `MONDAY` This value represents the 'monday' week starting day.
`static CalendarPreferences.WeekStartingDay` | `SATURDAY` This value represents the 'saturday' week starting day.
`static CalendarPreferences.WeekStartingDay` | `SUNDAY` This value represents the 'sunday' week starting day.
`static CalendarPreferences.WeekStartingDay` | `THURSDAY` This value represents the 'thursday' week starting day.
`static CalendarPreferences.WeekStartingDay` | `TUESDAY` This value represents the 'tuesday' week starting day.
`static int` | `VALUE_CURRENT_DAY` This value represents the 'current day' week starting day.
`static int` | `VALUE_FRIDAY` This value represents the 'friday' week starting day.
`static int` | `VALUE_MONDAY` This value represents the 'monday' week starting day.
`static int` | `VALUE_SATURDAY` This value represents the 'saturday' week starting day.
`static int` | `VALUE_SUNDAY` This value represents the 'sunday' week starting day.
`static int` | `VALUE_THURSDAY` This value represents the 'thursday' week starting day.
`static int` | `VALUE_TUESDAY` This value represents the 'tuesday' week starting day.
`static int` | `VALUE_WEDNESDAY` This value represents the 'wednesday' week starting day.
`static CalendarPreferences.WeekStartingDay` | `WEDNESDAY` This value represents the 'wednesday' week starting day.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static CalendarPreferences.WeekStartingDay` | `get(int iValue)` Gets the week starting day by the value.
`int` | `getCalendarDayValue()` Gets the value of the calendar day for this week day.
`java.lang.String` | `getKey()` Gets the key (i18n resources name) for the week starting day.
`int` | `getValue()` Gets the value of the week starting day.
`static java.util.List` | `getWeekStartingDays()` Gets the list of week starting day objects.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_CURRENT_DAY

    public static final int VALUE_CURRENT_DAY

  This value represents the 'current day' week starting day.

  See Also:
    Constant Field Values

### VALUE_SUNDAY

    public static final int VALUE_SUNDAY

  This value represents the 'sunday' week starting day.

  See Also:
    Constant Field Values

### VALUE_MONDAY

    public static final int VALUE_MONDAY

  This value represents the 'monday' week starting day.

  See Also:
    Constant Field Values

### VALUE_TUESDAY

    public static final int VALUE_TUESDAY

  This value represents the 'tuesday' week starting day.

  See Also:
    Constant Field Values

### VALUE_WEDNESDAY

    public static final int VALUE_WEDNESDAY

  This value represents the 'wednesday' week starting day.

  See Also:
    Constant Field Values

### VALUE_THURSDAY

    public static final int VALUE_THURSDAY

  This value represents the 'thursday' week starting day.

  See Also:
    Constant Field Values

### VALUE_FRIDAY

    public static final int VALUE_FRIDAY

  This value represents the 'friday' week starting day.

  See Also:
    Constant Field Values

### VALUE_SATURDAY

    public static final int VALUE_SATURDAY

  This value represents the 'saturday' week starting day.

  See Also:
    Constant Field Values

### CURRENT_DAY

    public static final CalendarPreferences.WeekStartingDay CURRENT_DAY

  This value represents the 'current day' week starting day.

### SUNDAY

    public static final CalendarPreferences.WeekStartingDay SUNDAY

  This value represents the 'sunday' week starting day.

### MONDAY

    public static final CalendarPreferences.WeekStartingDay MONDAY

  This value represents the 'monday' week starting day.

### TUESDAY

    public static final CalendarPreferences.WeekStartingDay TUESDAY

  This value represents the 'tuesday' week starting day.

### WEDNESDAY

    public static final CalendarPreferences.WeekStartingDay WEDNESDAY

  This value represents the 'wednesday' week starting day.

### THURSDAY

    public static final CalendarPreferences.WeekStartingDay THURSDAY

  This value represents the 'thursday' week starting day.

### FRIDAY

    public static final CalendarPreferences.WeekStartingDay FRIDAY

  This value represents the 'friday' week starting day.

### SATURDAY

    public static final CalendarPreferences.WeekStartingDay SATURDAY

  This value represents the 'saturday' week starting day.

Method Detail

### getCalendarDayValue

    public int getCalendarDayValue()

  Gets the value of the calendar day for this week day.

  Returns:
    the value of the calendar day for this week day (see `java.util.Calendar`)

### getKey

    public java.lang.String getKey()

  Gets the key (i18n resources name) for the week starting day.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the week starting day.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static CalendarPreferences.WeekStartingDay get(int iValue)

  Gets the week starting day by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching week starting day or the default week starting day if not found

### getWeekStartingDays

    public static java.util.List getWeekStartingDays()

  Gets the list of week starting day objects.

  Returns:
    the list of `WeekStartingDay` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.